package org.zipcoder.store;

import java.util.Objects;

public class User {

    private long id;
    private String name;

    public User(){}

    public User(long id) {
        this.id = id;
    }

    public User(String name) {
        this.name = name;
    }

    public User(long id, String name){
        this.id = id;
        this.name = name;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean equals(User user){
        if(user.getName() == null){
            if (user.getId() == this.getId()){
                return true;
            }
            return false;
        }
        if (user.getId() == this.getId() && user.getName().equals(this.getName())){
            return true;
        }
        return false;
    }

    public int hashCode(){
        return Objects.hash(this.getId(), this.getName());
    }
}
